FREEFOAM-SAMPLE(1)

NAME
freefoam-sample - Sample field data with a choice of interpolation schemes, sampling options and write formats.

SYNOPSIS

freefoam sample [-help] [-latestTime] [-noZero] [-srcDoc] [-doc] [-time <time>] [-constant] [-parallel] [-case <dir>]

DESCRIPTION

Keywords:

setFormat
    set output format, choice of

        • xmgr

        • jplot

        • gnuplot

        • raw

surfaceFormat
    surface output format, choice of

        • null : suppress output

        • foamFile : separate points, faces and values file

        • dx : DX scalar or vector format

        • vtk : VTK ascii format

        • raw : x y z value format for use with e.g. gnuplot splot.

        • obj : Wavefron stl. Does not contain values!

        • stl : ascii stl. Does not contain values!

interpolationScheme
    interpolation scheme, choice of

        • cell : use cell-centre value; constant over cells (default)

        • cellPoint : use cell-centre and vertex values

        • cellPointFace : use cell-centre, vertex and face values. \n

            1. vertex values determined from neighbouring cell-centre values

            2. face values determined using the current face interpolation scheme for the field (linear, limitedLinear, etc.)

fields
    list of fields to sample

sets
    list of sets to sample, choice of

        • uniform : evenly distributed points on line

        • face : one point per face intersection

        • midPoint : one point per cell, inbetween two face intersections

        • midPointAndFace : combination of face and midPoint

        • curve : specified points, not nessecary on line, uses tracking

        • cloud : specified points, uses findCell

    Option axis: how to write point coordinate. Choice of

        • x/y/z: x/y/z coordinate only

        • xyz: three columns (probably does not make sense for anything but raw)

        • distance: distance from start of sampling line (if uses line) or distance from first specified sampling point

    Type specific options:

        • uniform, face, midPoint, midPointAndFace : start and end coordinate

        • uniform: extra number of sampling points

        • curve, cloud: list of coordinates

surfaces
    list of surfaces to sample, choice of

        • plane : values on plane defined by point, normal.

        • patch : values on patch.

OPTIONS

-noZero
    Do not sample the 0 directory.

-case <dir>
    Path to the case directory. Defaults to the current working directory.

-parallel
    Run in parallel.

-latestTime
    Only sample the latest time directory.

-time <time>
    Only sample the time directory.

-constant
    Include the constant directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

Runs in parallel

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.